Create a new status page
curl --request POST \
--url https://api.justanotheruptime.com/status-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"projectId": "<string>",
"isPublic": false,
"theme": "light",
"customDomain": "<string>",
"customCss": "<string>",
"customJs": "<string>"
}
'import requests
url = "https://api.justanotheruptime.com/status-pages"
payload = {
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"projectId": "<string>",
"isPublic": False,
"theme": "light",
"customDomain": "<string>",
"customCss": "<string>",
"customJs": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
slug: '<string>',
description: '<string>',
projectId: '<string>',
isPublic: false,
theme: 'light',
customDomain: '<string>',
customCss: '<string>',
customJs: '<string>'
})
};
fetch('https://api.justanotheruptime.com/status-pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Status Pages
Create a new status page
POST
/
status-pages
Create a new status page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the status page
The slug for the status page URL
The description of the status page
The ID of the project this status page belongs to
Whether the status page is public
The theme of the status page
The custom domain for the status page
Custom CSS for the status page
Custom JavaScript for the status page
Response
The status page has been successfully created.
⌘I